Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Get Jobs Status

GET/transforms/{transforms_id}/job_status
Authorization
AuthorizationBearer token · headerrequired
Path parameters
transforms_idstringrequired
Responses
200

Successful Response

idstringrequired
job_namestringrequired
statusTransformStatusrequired

Transform job status values.

These values match the statuses returned by get_transform_status() in transforms/dynamic_utils.py. The status is computed from ClickHouse metrics that track each phase of transform execution.

Allowed:RUNNINGINITIALIZINGDEPLOYINGCANCELLINGCANCELEDCREATEDRESTARTINGFAILINGFAILEDSTOPPEDUNKNOWN
start_timestring<date-time> | null
Show properties
Any of:
string<date-time>
string<date-time>
null
null
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET 'https://api.streamkap.com/transforms/string/job_status' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "id": "string",
  "job_name": "string",
  "status": "RUNNING",
  "start_time": "2019-08-24T14:15:22Z"
}